=== debian/changelog ===
qxgedit (0.9.12-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:26:25 +1100

qxgedit (0.9.12-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:03:11 +0000

qxgedit (0.9.12-1) unstable; urgency=medium

  * New upstream version 0.9.12
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Mon, 29 Jan 2024 21:04:53 +0100
