=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: qxgedit
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <snd@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -13,7 +12,7 @@
  libasound2-dev,
  libqt6svg6-dev,
  libx11-dev,
- pkg-config,
+ pkgconf,
  qt6-base-dev,
  qt6-tools-dev,
  qt6-tools-dev-tools,
