=== debian/changelog ===
qxgedit (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * Bump Standards-Version to 4.7.0

 -- Dennis Braun <snd@debian.org>  Sat, 20 Jul 2024 22:28:58 +0200
