=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  qt6-base-dev,
  qt6-tools-dev,
  qt6-tools-dev-tools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/qxgedit.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qxgedit
 Homepage: https://qxgedit.sourceforge.io/qxgedit-index.html
