=== debian/changelog ===
qxgedit (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
    + Fix ftbfs with GCC-15 (Closes: #1097760)
  * Bump Standards-Version to 4.7.2
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Wed, 09 Apr 2025 19:39:06 +0200
