=== debian/watch ===
version=4
https://sf.net/qxgedit/qxgedit-([\d.]+)\.tar\.gz
